Topic: Rocky 9 Blow Up

Remi,

Signed up just to tip you off.  I just received a ticket through here, that shows the openssl_verify() is failing for the Cacti 1.2.22 install.

https://github.com/Cacti/cacti/issues/4938

I did not know if you had any pull.  If you read the ticket, it's for Rocky and PHP 8.0.13.  Not sure if you were alerted to this, but I thought I would give you a tip in case you can comment.

I installed you 8.1.11 on RHEL7, no problem.  Going to test it on Rocky too.  Keep you posted.

TheWitness

Re: Rocky 9 Blow Up

Remi,

I event installed you php81 (8.1.11) on the system and it also fails verification.  So, not sure what the issue is or who should be working it.

TheWitness

Re: Rocky 9 Blow Up

Guessing it's this bit...

update-crypto-policies --set DEFAULT:SHA1

https://www.redhat.com/en/blog/rhel-sec … ted-rhel-9

Re: Rocky 9 Blow Up

So you found the workaround wink

I add a comment on https://github.com/Cacti/cacti/issues/4 … 1271115809

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi